#[=============================[.rst:
FindMTools
----------

finds mtools. holy crap wow.

Result Variables
^^^^^^^^^^^^^^^^

Defines the following variables:

``MTools_FOUND``
  True if the system has mtools
``MTools_Format_EXECUTABLE``
  Path to mformat
``MTools_Copy_EXECUTABLE``
  Path to mcopy
``MTools_Mkdir_EXECUTABLE``
  Path to mmd

#]=============================]

include(FindPackageHandleStandardArgs)

# mformat
find_program(MTools_Format_EXECUTABLE NAMES mformat)

# mcopy
find_program(MTools_Copy_EXECUTABLE NAMES mcopy)

# mmd
find_program(MTools_Mkdir_EXECUTABLE NAMES mmd)

find_package_handle_standard_args(MTools
	FOUND_VAR MTools_FOUND
	REQUIRED_VARS
		MTools_Format_EXECUTABLE
		MTools_Copy_EXECUTABLE
		MTools_Mkdir_EXECUTABLE
)
