#pragma once

#include "../types.h"

/**
 * Initialize EFI code if EFI is present
 */
void EfiInitialize();

/**
 * Check if EFI is present
 */
bool EfiPresent();

/**
 * Get the EFI system table
 */
const struct EfiSystemTable* EfiGetSystemTable();
