#[=============================[.rst:
FindCoreUtils
----------

finds coreutils. crazy, isnt it?

Imported Targets
^^^^^^^^^^^^^^^

Provides the following imported targets:

``CoreUtils::dd``
  The dd command

Result Variables
^^^^^^^^^^^^^^^^

Defines the following variables:

``CoreUtils_FOUND``
  True if the system has coreutils
``CoreUtils_dd_EXECUTABLE``
  Path to dd
``CoreUtils_Mkdir_EXECUTABLE``
  Path to mkdir
``CoreUtils_Copy_EXECUTABLE``

#]=============================]

include(FindPackageHandleStandardArgs)

# dd
find_program(CoreUtils_dd_EXECUTABLE NAMES dd)

# mkdir
find_program(CoreUtils_Mkdir_EXECUTABLE NAMES mkdir)

# cp
find_program(CoreUtils_Copy_EXECUTABLE NAMES cp)

find_package_handle_standard_args(CoreUtils
	FOUND_VAR CoreUtils_FOUND
	REQUIRED_VARS
		CoreUtils_dd_EXECUTABLE
		CoreUtils_Mkdir_EXECUTABLE
		CoreUtils_Copy_EXECUTABLE
)

