OUTPUT_FORMAT(elf64-x86-64)

SECTIONS {
	_CC_start = .;

	.text : {
		*(.text)
	}

	.rodata : {
		*(.rodata)
	}

	.cckernel : {
		*(.cckernel)
	}

	_CC_end = .;

	.bss : {
		*(.bss)
		*(COMMON)
	}

        .debug_info 0 : { *(.debug_info); }
        .debug_abbrev 0 : { *(.debug_abbrev); }
        .debug_aranges 0 : { *(.debug_aranges); }
        .debug_rnglists 0 : { *(.debug_rnglists); }
        .debug_line 0 : { *(.debug_line); }
        .debug_str 0 : { *(.debug_str); }
        .debug_line_str 0 : { *(.debug_line_str); }
        .debug_gdb_scripts 0 : { *(.debug_gdb_scripts); }

	/DISCARD/ : {
		*(*);
	}

	/* ASSERT(entry64 != 0x200, "entry64 is not the entry point, this should never happen.") */
}
